%include common-macros.specinclude

Summary: A text-based Web browser.
Name: lsb-lynx
Version: 2.8.7
Release: 8.lsb5
Vendor: Linux Foundation
Packager: LSB project team <lsb-discuss@linuxfoundation.org>
License: GPL
Group: Appbat/browsers
Buildroot: %{_tmppath}/%{name}-root
AutoReqProv: no
Requires: lsb >= 5.0
BuildRequires: lsb-build-libbat-%{appbatversion}
BuildRequires: lsb-build-cc

Source0: http://lynx.isc.org/lynx/release/lynx%{version}.tar.bz2
Patch0: lynx%{version}.patch

%description
LSB conforming version of lynx. Lynx is a text-based Web browser. Lynx
is added to the LSB Application Battery primarly to demonstrate the use
of the ncurses library.

%prep
# FIXME weird versioning/naming - will break at upgrade
%setup -q -n lynx2-8-7
%patch0 -p1 -b .lsbcc

%build
# common environment settings
export LSBCC_LSBVERSION=%{appbatversion}
%define prefix /opt/lsb
%define app_prefix %{prefix}/appbat
%define bindir %{app_prefix}/bin
%define sharedir %{app_prefix}/share
%define mandir %{app_prefix}/man

%ifarch s390x ppc64 x86_64
%define lib lib64
%else
%define lib lib
%endif

# need to be able to align with the LSB/libbat version we're built for
export CC="lsbcc -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
export CXX="lsbc++ -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
%define libdir %{prefix}/%{lib}-%{appbatversion}
export PKG_CONFIG_PATH=%{libdir}/pkgconfig:/opt/lsb/libbat/%{appbatversion}/%{lib}/pkgconfig
export PATH=/opt/lsb/libbat/%{appbatversion}/bin:${PATH}

# choose one of three ways to configure: 
# for the latter two, define NCURSES_CONFIG to the correct tool,
# as the system one will not be right choice for LSB
# bug 3909 deals wih the curses config files
#
# classic curses
./configure --prefix=%{app_prefix}
# or ncurses
#./configure --prefix=%{app_prefix} --with-screen=ncurses
# or wide ncurses
#./configure --prefix=%{app_prefix} --with-screen=ncursesw

make

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install install-full

# our welcome page
cp lsb_welcome.html %{buildroot}%{sharedir}

# make a README about the patch
install -d %{buildroot}%{sharedir}/doc
COUNT=`grep -n '\-\-\-' %{PATCH0} | head -1 | awk -F\: '{print $1}'`
COUNT=`expr $COUNT - 1`
head -"$COUNT" %{PATCH0} > %{buildroot}%{sharedir}/doc/README.LSB.lynx.build.patches 

%pre

%post

%preun

%postun

%clean
rm -rf %{buildroot}

%files

%attr ( -   root root ) /opt/lsb/appbat

%changelog
* Thu May 12 2011 Stew Benedict <stewb@linux-foundation.org>
- use spec file to build, drop nALFS

